<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <itdm-inventory-log-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></itdm-inventory-log-form>
  </j-modal>
</template>

<script>

import ItdmInventoryLogForm from './ItdmInventoryLogForm'

export default {
  name: 'ItdmInventoryLogModal',
  components: {
    ItdmInventoryLogForm
  },
  data() {
    return {
      title: '',
      width: 800,
      visible: false,
      disableSubmit: false
    }
  },
  methods: {
    add() {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.add()
      })
    },
    edit(record) {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.edit(record)
      })
    },
    initModel(type) {
      this.$nextTick(() => {
        this.$refs.realForm.initModel(type)
      })
    },
    close() {
      this.$emit('close')
      this.visible = false
    },
    handleOk() {
      this.$refs.realForm.submitForm()
    },
    submitCallback() {
      this.$emit('ok')
      this.visible = false
    },
    handleCancel() {
      this.close()
    }
  }
}
</script>